#
# spec file for package python-pycdio
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pycdio
Version:        0.20
Release:        2.1
Summary:        Python Bindings for the CDIO Library 
License:        GPL-3.0+
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pycdio/pycdio-%{version}.tar.gz
Url:            http://pypi.python.org/pypi/pycdio/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libcdio-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  swig
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
pycdio is a Python interface to the CD Input and Control library (libcdio).

The pycdio (and libcdio) libraries encapsulate CD-ROM reading and control.
Python programs wishing to be oblivious of the OS- and device-dependent
properties of a CD-ROM can use this library.

%prep
%setup -q -n pycdio-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.txt THANKS
%{python_sitearch}

%changelog
* Wed Feb  4 2015 lnussel@suse.de
- fix license tag (GPL-3.0+)
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 0.20
  + Please read the ChangeLog for more news
- Complete rework of specfile
  + Too many changes, sorry
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- update to 0.17
* Fri Apr 16 2010 pascal.bleser@opensuse.org
- initial package (0.16)
